## SoundBraid

A Simple audio mixer for SNDIO / ALSA  
SoundBraid is Free Open Source Software.  

See [License](https://codeberg.org/JWMKit/soundbraid/src/branch/main/docs/LICENSE)  

![ ](./SoundBraid.png  "SoundBraid")

### Current Features

- Full control of SNDIO via aucatctl
- Control all SNDIO streams
- Dynamic updating of all Controls (Shows adjustments made by other programs)
- Dynamically add controls for new streams

### Unimplemented Features

- Full ALSA control
- ALSA Master control for sndio mode


### Dependancies

**Required**  

- python3
- python3-gi
- gir1.2-gtk-3.0

**Optional** - only use the ones you need

- sndio and aucatctl (SNDIO support)
- alsa_utils (ALSA support)

Note : The correct optional dependancies are needed for proper volume control. 

### Development

**Oct. 07 2021**

- Greatly improved dynamic updating of volume levels
- Much smoother operation
- Improved accuracy
- Dynamically add controls for new streams